org.apache.solr.response.transform

## Class TransformerFactory

- java.lang.Object
- - org.apache.solr.response.transform.TransformerFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin
  Direct Known Subclasses:
    ChildDocTransformerFactory, DocIdAugmenterFactory, ElevatedMarkerFactory, ExcludedMarkerFactory, ExplainAugmenterFactory, GeoTransformerFactory, RawValueTransformerFactory, ShardAugmenterFactory, SubQueryAugmenterFactory, ValueAugmenterFactory

      public abstract class TransformerFactory
      extends Object
      implements NamedListInitializedPlugin

  New instance for each request

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,TransformerFactory>` | `defaultFactories`
    `protected String` | `defaultUserArgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformerFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract DocTransformer` | `create(String field, SolrParams params, SolrQueryRequest req)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultUserArgs

          protected String defaultUserArgs

    - #### defaultFactories

          public static final Map<String,TransformerFactory> defaultFactories

  - ### Constructor Detail

    - #### TransformerFactory

          public TransformerFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`

    - #### create

          public abstract DocTransformer create(String field,
                                                SolrParams params,
                                                SolrQueryRequest req)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.